<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<h:head>
	<link rel='stylesheet' type='text/css' href='../resources/css/uikit-rtl.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/princessSophia.css'></link>
	<link rel='stylesheet' type='text/css' href='../resources/css/login.css'></link>
</h:head>
<h:body>
	<div id="nha" class="uk-position-cover uk-overlay-primary"></div>
		<div class="uk-flex uk-flex-center uk-flex-middle uk-height-viewport uk-light uk-position-relative uk-position-z-index" id="a">
			<div class="uk-position-bottom-center uk-position-small uk-visible@m">
			</div>
			<div class="uk-width-medium uk-padding-small" uk-scrollspy="cls: uk-animation-fade">				
			<h1>Entrar</h1>
				<h:form id="login">
					<fieldset class="uk-fieldset">
						<div class="uk-margin">
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
								<h:inputText value="#{verificarUser.email}"  name="email" class="uk-input uk-border-pill"><f:passThroughAttribute name="placeholder" value="Email do Administrador"></f:passThroughAttribute></h:inputText>
							</div>
						</div>
						<div class="uk-margin">
							<div class="uk-inline uk-width-1-1">
								<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: lock"></span>
								<h:inputSecret value="#{verificarUser.senha}" name="senha" class="uk-input uk-border-pill"><f:passThroughAttribute name="placeholder" value="Senha do Administrador"></f:passThroughAttribute></h:inputSecret>
							</div>
						</div>
						<div class="uk-margin">
							<h:commandButton type="submit" class="uk-button uk-button-primary uk-border-pill uk-width-1-1" action="#{verificarUser.verificar}" value="Entrar">
								<f:ajax execute="@this login" render="fon"/>
							</h:commandButton>
						</div>
							<h:outputText value="#{verificarUser.mensagem}" id="fon" escape="false"></h:outputText>

					</fieldset>
				</h:form>
				<div>
					<div class="uk-text-center">
						<a class="uk-link-reset uk-text-small" data-uk-toggle="target: #recover;animation: uk-animation-slide-top-small">Não possui uma conta? Deseja registrar?</a>
					</div><br></br>
					<center><a href="index.xhtml">Voltar para Home</a></center>
					<div class="uk-margin-small-top" id="recover" hidden="">
						<h1>Registrar</h1>
						<h:form id="cadastrar">
							<fieldset class="uk-fieldset">
								<div class="uk-margin">
									<div class="uk-inline uk-width-1-1">
										<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
										<h:inputText value="#{verificarUser.nome}" name="nome" class="uk-input uk-border-pill"><f:passThroughAttribute name="placeholder" value="Nome do Administrador"></f:passThroughAttribute></h:inputText>
									</div>
								</div>
								<div class="uk-margin">
									<div class="uk-inline uk-width-1-1">
										<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: mail"></span>
										<h:inputText value="#{verificarUser.email}" name="email" class="uk-input uk-border-pill"><f:passThroughAttribute name="placeholder" value="Email do Administrador"></f:passThroughAttribute></h:inputText>
									</div>
								</div>
								<div class="uk-margin">
									<div class="uk-inline uk-width-1-1">
										<span class="uk-form-icon uk-form-icon-flip" data-uk-icon="icon: lock"></span>
										<h:inputSecret value="#{verificarUser.senha}" name="senha" class="uk-input uk-border-pill"><f:passThroughAttribute name="placeholder" value="Senha do Administrador"></f:passThroughAttribute></h:inputSecret>
									</div>
								</div>
								<div class="uk-margin">
									<h:commandButton type="submit" class="uk-button uk-button-primary uk-border-pill uk-width-1-1" actionListener="#{verificarUser.cadastrar}" value="Entrar">
										<f:ajax execute="@this cadastrar" render="mopa"></f:ajax>
									</h:commandButton>										 
								</div>
									<h:outputText value="#{verificarUser.mensagem}" id="mopa" escape="false"></h:outputText>
							</fieldset>
						</h:form>
					</div>
				</div>
			</div>
		</div>
</h:body>
<script src='../resources/js/uikit.js'></script>

</html>
